ListConfigurationBundleVersions
Lists all versions of a configuration bundle, with optional filtering by branch name or creation source.
Request Syntax
POST /configuration-bundles/bundleId/versions?maxResults=maxResults&nextToken=nextToken HTTP/1.1
Content-type: application/json
{
"filter": {
"branchName": "string",
"createdByName": "string",
"latestPerBranch": boolean
}
}
URI Request Parameters
The request uses the following URI parameters.
- bundleId
-
The unique identifier of the configuration bundle to list versions for.
Pattern:
[a-zA-Z][a-zA-Z0-9-_]{0,99}-[a-zA-Z0-9]{10}Required: Yes
- maxResults
-
The maximum number of results to return in the response. If the total number of results is greater than this value, use the token returned in the response in the
nextTokenfield when making another request to return the next batch of results.Valid Range: Minimum value of 1. Maximum value of 100.
- nextToken
-
If the total number of results is greater than the
maxResultsvalue provided in the request, enter the token returned in thenextTokenfield in the response in this field to return the next batch of results.
Request Body
The request accepts the following data in JSON format.
- filter
-
An optional filter for listing versions, including branch name, creation source, and whether to return only the latest version per branch.
Type: VersionFilter object
Required: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"nextToken": "string",
"versions": [
{
"bundleArn": "string",
"bundleId": "string",
"lineageMetadata": {
"branchName": "string",
"commitMessage": "string",
"createdBy": {
"arn": "string",
"name": "string"
},
"parentVersionIds": [ "string" ]
},
"versionCreatedAt": number,
"versionId": "string"
}
]
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- nextToken
-
If the total number of results is greater than the
maxResultsvalue provided in the request, use this token when making another request in thenextTokenfield to return the next batch of results.Type: String
- versions
-
The list of configuration bundle version summaries.
Type: Array of ConfigurationBundleVersionSummary objects
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
This exception is thrown when a request is denied per access permissions
HTTP Status Code: 403
- InternalServerException
-
This exception is thrown if there was an unexpected error during processing of request
HTTP Status Code: 500
- ResourceNotFoundException
-
This exception is thrown when a resource referenced by the operation does not exist
HTTP Status Code: 404
- ThrottlingException
-
This exception is thrown when the number of requests exceeds the limit
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints specified by the service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: